floppym     14/12/03 16:09:32

  Modified:             sphinx-1.2.2.ebuild sphinx-1.2.3.ebuild ChangeLog
  Log:
  Fix build failure when DISTUTILS_NO_PARALLEL_BUILD=1, bug 531534.
  
  (Portage version: 2.2.14/cvs/Linux x86_64, signed Manifest commit with key 
0BBEEA1FEA4843A4)

Revision  Changes    Path
1.18                 dev-python/sphinx/sphinx-1.2.2.ebuild

file : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-python/sphinx/sphinx-1.2.2.ebuild?rev=1.18&view=markup
plain: 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-python/sphinx/sphinx-1.2.2.ebuild?rev=1.18&content-type=text/plain
diff : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-python/sphinx/sphinx-1.2.2.ebuild?r1=1.17&r2=1.18

Index: sphinx-1.2.2.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/dev-python/sphinx/sphinx-1.2.2.ebuild,v
retrieving revision 1.17
retrieving revision 1.18
diff -u -r1.17 -r1.18
--- sphinx-1.2.2.ebuild 1 Dec 2014 09:45:23 -0000       1.17
+++ sphinx-1.2.2.ebuild 3 Dec 2014 16:09:32 -0000       1.18
@@ -1,6 +1,6 @@
 # Copyright 1999-2014 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/dev-python/sphinx/sphinx-1.2.2.ebuild,v 
1.17 2014/12/01 09:45:23 ago Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-python/sphinx/sphinx-1.2.2.ebuild,v 
1.18 2014/12/03 16:09:32 floppym Exp $
 
 EAPI=5
 
@@ -42,9 +42,9 @@
        # Note that the tests usually do it for us. However, I don't want
        # to trust USE=test really running all the tests, especially
        # with FEATURES=test-fail-continue.
-       cd "${BUILD_DIR}"/lib || die
-       "${PYTHON}" -m sphinx.pycode.__init__ \
-               || die "Grammar generation failed."
+       pushd "${BUILD_DIR}"/lib > /dev/null || die
+       "${PYTHON}" -m sphinx.pycode.__init__ || die "Grammar generation 
failed."
+       popd > /dev/null || die
 }
 
 python_compile_all() {



1.5                  dev-python/sphinx/sphinx-1.2.3.ebuild

file : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-python/sphinx/sphinx-1.2.3.ebuild?rev=1.5&view=markup
plain: 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-python/sphinx/sphinx-1.2.3.ebuild?rev=1.5&content-type=text/plain
diff : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-python/sphinx/sphinx-1.2.3.ebuild?r1=1.4&r2=1.5

Index: sphinx-1.2.3.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/dev-python/sphinx/sphinx-1.2.3.ebuild,v
retrieving revision 1.4
retrieving revision 1.5
diff -u -r1.4 -r1.5
--- sphinx-1.2.3.ebuild 23 Nov 2014 16:36:00 -0000      1.4
+++ sphinx-1.2.3.ebuild 3 Dec 2014 16:09:32 -0000       1.5
@@ -1,6 +1,6 @@
 # Copyright 1999-2014 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/dev-python/sphinx/sphinx-1.2.3.ebuild,v 1.4 
2014/11/23 16:36:00 floppym Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-python/sphinx/sphinx-1.2.3.ebuild,v 1.5 
2014/12/03 16:09:32 floppym Exp $
 
 EAPI=5
 
@@ -43,9 +43,10 @@
        # Note that the tests usually do it for us. However, I don't want
        # to trust USE=test really running all the tests, especially
        # with FEATURES=test-fail-continue.
-       cd "${BUILD_DIR}"/lib || die
+       pushd "${BUILD_DIR}"/lib > /dev/null || die
        "${PYTHON}" -m sphinx.pycode.__init__ \
                || die "Grammar generation failed."
+       popd > /dev/null || die
 }
 
 python_compile_all() {



1.182                dev-python/sphinx/ChangeLog

file : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-python/sphinx/ChangeLog?rev=1.182&view=markup
plain: 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-python/sphinx/ChangeLog?rev=1.182&content-type=text/plain
diff : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-python/sphinx/ChangeLog?r1=1.181&r2=1.182

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/dev-python/sphinx/ChangeLog,v
retrieving revision 1.181
retrieving revision 1.182
diff -u -r1.181 -r1.182
--- ChangeLog   1 Dec 2014 09:45:23 -0000       1.181
+++ ChangeLog   3 Dec 2014 16:09:32 -0000       1.182
@@ -1,6 +1,10 @@
 # ChangeLog for dev-python/sphinx
 # Copyright 1999-2014 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/dev-python/sphinx/ChangeLog,v 1.181 
2014/12/01 09:45:23 ago Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-python/sphinx/ChangeLog,v 1.182 
2014/12/03 16:09:32 floppym Exp $
+
+  03 Dec 2014; Mike Gilbert <flop...@gentoo.org> sphinx-1.2.2.ebuild,
+  sphinx-1.2.3.ebuild:
+  Fix build failure when DISTUTILS_NO_PARALLEL_BUILD=1, bug 531534.
 
   01 Dec 2014; Agostino Sarubbo <a...@gentoo.org> sphinx-1.2.2.ebuild:
   Stable for sparc, wrt bug #524416




Reply via email to